<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Tue May 07 14:16:39 CEST 2024 -->
<title>P-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2024-05-07">
<meta name="description" content="index: P">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<a href="index-20.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a>
<h2 class="title" id="I:P">P</h2>
<dl class="index">
<dt><a href="../fr/ici/buildingActivity/poi/POI.html#p" class="member-name-link">p</a> - Variable in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POI.html" class="type-name-link" title="class in fr.ici.buildingActivity.poi">POI</a> - Class in <a href="../fr/ici/buildingActivity/poi/package-summary.html">fr.ici.buildingActivity.poi</a></dt>
<dd>
<div class="block">General class for point of interest in the ICI project</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POI.html#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,int,int,double,java.lang.String,java.lang.String,java.lang.String,boolean,boolean,org.locationtech.jts.geom.Point)" class="member-name-link">POI(String, String, String, String, String, String, String, String, String, String, String, String, String, int, int, double, String, String, String, boolean, boolean, Point)</a> - Constructor for class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POI.StrategyGenerationValue.html" class="type-name-link" title="enum class in fr.ici.buildingActivity.poi">POI.StrategyGenerationValue</a> - Enum Class in <a href="../fr/ici/buildingActivity/poi/package-summary.html">fr.ici.buildingActivity.poi</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POIImport.html" class="type-name-link" title="class in fr.ici.buildingActivity.poi">POIImport</a> - Class in <a href="../fr/ici/buildingActivity/poi/package-summary.html">fr.ici.buildingActivity.poi</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POIImport.html#%3Cinit%3E()" class="member-name-link">POIImport()</a> - Constructor for class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POIImport.html" title="class in fr.ici.buildingActivity.poi">POIImport</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POIMerging.html" class="type-name-link" title="class in fr.ici.buildingActivity.poi">POIMerging</a> - Class in <a href="../fr/ici/buildingActivity/poi/package-summary.html">fr.ici.buildingActivity.poi</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POIMerging.html#%3Cinit%3E()" class="member-name-link">POIMerging()</a> - Constructor for class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POIMerging.html" title="class in fr.ici.buildingActivity.poi">POIMerging</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POISorting.html" class="type-name-link" title="class in fr.ici.buildingActivity.poi">POISorting</a> - Class in <a href="../fr/ici/buildingActivity/poi/package-summary.html">fr.ici.buildingActivity.poi</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POISorting.html#%3Cinit%3E()" class="member-name-link">POISorting()</a> - Constructor for class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POISorting.html" title="class in fr.ici.buildingActivity.poi">POISorting</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POISortingNew.html" class="type-name-link" title="class in fr.ici.buildingActivity.poi">POISortingNew</a> - Class in <a href="../fr/ici/buildingActivity/poi/package-summary.html">fr.ici.buildingActivity.poi</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POISortingNew.html#%3Cinit%3E()" class="member-name-link">POISortingNew()</a> - Constructor for class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POISortingNew.html" title="class in fr.ici.buildingActivity.poi">POISortingNew</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POIUtil.html" class="type-name-link" title="class in fr.ici.buildingActivity.poi">POIUtil</a> - Class in <a href="../fr/ici/buildingActivity/poi/package-summary.html">fr.ici.buildingActivity.poi</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POIUtil.html#%3Cinit%3E()" class="member-name-link">POIUtil()</a> - Constructor for class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POIUtil.html" title="class in fr.ici.buildingActivity.poi">POIUtil</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/minister/SuperiorEducation.html#prepareCSV(java.io.File,java.io.File,java.lang.String,java.time.LocalDate)" class="member-name-link">prepareCSV(File, File, String, LocalDate)</a> - Static method in class fr.ici.buildingActivity.minister.<a href="../fr/ici/buildingActivity/minister/SuperiorEducation.html" title="class in fr.ici.buildingActivity.minister">SuperiorEducation</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/minister/PrimarySecondarySchool.html" class="type-name-link" title="class in fr.ici.buildingActivity.minister">PrimarySecondarySchool</a> - Class in <a href="../fr/ici/buildingActivity/minister/package-summary.html">fr.ici.buildingActivity.minister</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/minister/PrimarySecondarySchool.html#%3Cinit%3E(fr.ici.buildingActivity.minister.PrimarySecondarySchool,int)" class="member-name-link">PrimarySecondarySchool(PrimarySecondarySchool, int)</a> - Constructor for class fr.ici.buildingActivity.minister.<a href="../fr/ici/buildingActivity/minister/PrimarySecondarySchool.html" title="class in fr.ici.buildingActivity.minister">PrimarySecondarySchool</a></dt>
<dd>
<div class="block">Builder for classroom construction</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/minister/PrimarySecondarySchool.html#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,int,float,int,int,java.lang.String,boolean,org.locationtech.jts.geom.Point)" class="member-name-link">PrimarySecondarySchool(String, String, String, String, String, String, String, String, String, int, float, int, int, String, boolean, Point)</a> - Constructor for class fr.ici.buildingActivity.minister.<a href="../fr/ici/buildingActivity/minister/PrimarySecondarySchool.html" title="class in fr.ici.buildingActivity.minister">PrimarySecondarySchool</a></dt>
<dd>
<div class="block">Builder for each level of schools</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/minister/PrimarySecondarySchool.html#%3Cinit%3E(java.util.List)" class="member-name-link">PrimarySecondarySchool(List&lt;PrimarySecondarySchool&gt;)</a> - Constructor for class fr.ici.buildingActivity.minister.<a href="../fr/ici/buildingActivity/minister/PrimarySecondarySchool.html" title="class in fr.ici.buildingActivity.minister">PrimarySecondarySchool</a></dt>
<dd>
<div class="block">Builder for a school structure</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/minister/PrimarySecondarySchoolsUtil.html" class="type-name-link" title="class in fr.ici.buildingActivity.minister">PrimarySecondarySchoolsUtil</a> - Class in <a href="../fr/ici/buildingActivity/minister/package-summary.html">fr.ici.buildingActivity.minister</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/minister/PrimarySecondarySchoolsUtil.html#%3Cinit%3E()" class="member-name-link">PrimarySecondarySchoolsUtil()</a> - Constructor for class fr.ici.buildingActivity.minister.<a href="../fr/ici/buildingActivity/minister/PrimarySecondarySchoolsUtil.html" title="class in fr.ici.buildingActivity.minister">PrimarySecondarySchoolsUtil</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/iris/IRISHousing.html#printProbabilitiesHousing()" class="member-name-link">printProbabilitiesHousing()</a> - Method in class fr.ici.buildingActivity.iris.<a href="../fr/ici/buildingActivity/iris/IRISHousing.html" title="class in fr.ici.buildingActivity.iris">IRISHousing</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/util/property/TypeOfHousingGeneration.html#ProbaConstraintWithAdjustment" class="member-name-link">ProbaConstraintWithAdjustment</a> - Enum constant in enum class fr.ici.buildingActivity.util.property.<a href="../fr/ici/buildingActivity/util/property/TypeOfHousingGeneration.html" title="enum class in fr.ici.buildingActivity.util.property">TypeOfHousingGeneration</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/util/property/TypeOfHousingGeneration.html#ProbaConstraintWithoutAdjustment" class="member-name-link">ProbaConstraintWithoutAdjustment</a> - Enum constant in enum class fr.ici.buildingActivity.util.property.<a href="../fr/ici/buildingActivity/util/property/TypeOfHousingGeneration.html" title="enum class in fr.ici.buildingActivity.util.property">TypeOfHousingGeneration</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/housing/HousingTools.html#product(double%5B%5D)" class="member-name-link">product(double[])</a> - Static method in class fr.ici.buildingActivity.housing.<a href="../fr/ici/buildingActivity/housing/HousingTools.html" title="class in fr.ici.buildingActivity.housing">HousingTools</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<a href="index-20.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a></main>
</div>
</div>
</body>
</html>
